## tdeio-appinfo-trinity 14.1.0

=== debian/changelog ===
tdeio-appinfo-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdeio-appinfo

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

tdeio-appinfo-trinity (0.1.5-0) testing; urgency=low

  * First TDE release

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Sat, 25 Aug 2018 21:56:00 +0900

## tdeio-appinfo-trinity 14.2.0~pre33

=== src/CMakeLists.txt ===
#################################################
#
#  (C) 2021 Michele Calgaro
#  Michele (DOT) Calgaro (AT) yahoo.it
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/src
  ${CMAKE_SOURCE_DIR}/src
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
    SOURCE appinfo.protocol
    DESTINATION ${SERVICES_INSTALL_DIR}
)


##### tdeio_appinfo (module) #######################

set( target tdeio_appinfo )

set( ${target}_SRCS
  appinfo.cpp appimpl.cpp
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

## tdeio-appinfo-trinity 14.1.1

=== debian/changelog ===
tdeio-appinfo-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdeio-appinfo

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Jul 2023 06:22:09 +0200

=== debian/control ===
Source: tdeio-appinfo-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Robert Hogan <robert@roberthogan.net>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4

Package: tdeio-appinfo-trinity
Architecture: any
Depends: ${shlibs:Depends}
Description: TDEIO slave for the appinfo protocol
 Adds support for the "appinfo:" protocol
 to Konqueror and other TDE applications.
 .
 This enables you to perform appinfo: searches in TDE.

## tdeio-appinfo-trinity 14.1.2

=== debian/changelog ===
tdeio-appinfo-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdeio-appinfo

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 19 Apr 2024 01:24:50 +0200

## tdeio-appinfo-trinity 14.1.3

=== debian/changelog ===
tdeio-appinfo-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdeio-appinfo

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:39:32 +0200

## tdeio-appinfo-trinity 14.1.4

=== debian/changelog ===
tdeio-appinfo-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdeio-appinfo

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## tdeio-appinfo-trinity 14.1.5~pre1

=== debian/changelog ===
tdeio-appinfo-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for dd0c4f0429a7b1aecd14e9e097c582f7b29d7109
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeio-appinfo

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdeio-appinfo-trinity 14.1.5

=== debian/changelog ===
tdeio-appinfo-trinity (4:14.1.5-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeio-appinfo

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DBUILD_ALL="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo

## tdeio-appinfo-trinity 14.1.6~pre0

=== debian/changelog ===
tdeio-appinfo-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for dd0c4f0429a7b1aecd14e9e097c582f7b29d7109
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeio-appinfo

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdeio-appinfo-trinity 14.1.6~pre1

=== debian/changelog ===
tdeio-appinfo-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c994a58c9e8e6b4a7403fe91f7abb5e845b0ad90
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeio-appinfo

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:10:09 +0100

## tdeio-appinfo-trinity 14.2.0~pre33

=== debian/changelog ===
tdeio-appinfo-trinity (4:14.2.0~pre33-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 77d05730fb149090b66dfa13ac3e2981b15c2ee3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeio-appinfo

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## tdeio-appinfo-trinity 14.2.0~pre34

=== debian/changelog ===
tdeio-appinfo-trinity (4:14.2.0~pre34-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 859253d3e88c868bda45ba7e26c7444449f29ca6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeio-appinfo

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:09:18 +0100
